------------------------------------------------------------------------------------
--Name:  	juqing5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-10
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(213, 128)
CppScriptMgr:ShakeScrEffect(5)
local Player_1 = CppScriptMgr:AddPlayer(518, 215, 130, "", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(5)
Player_1:SetHide(1)
local Player_2 = CppScriptMgr:AddPlayer(308, 220, 135, "", 0, 0)
local Player_3 = CppScriptMgr:AddPlayer(308, 220, 125, "", 0, 0)
local Player_4 = CppScriptMgr:AddPlayer(308, 210, 135, "", 0, 0)
local Player_5 = CppScriptMgr:AddPlayer(308, 215, 135, "", 0, 0)
local Player_6 = CppScriptMgr:AddPlayer(308, 220, 130, "", 0, 0)
CppScriptMgr:WaitMilSec(500)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 215, 130, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(220)
Player_1:SetHide(0)
CppScriptMgr:WaitMilSec(100)
ChangeNpcZoom(Player_1, 5, 200, 5, 10)
Player_1:SetAction(101)
CppScriptMgr:NpcCallOut("Who dared to intrude upon the castle and disturb Lord Anthony`s banquet?", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2025qqbsqrj2", 150, 430, "PhantomMaid", 250, 655, true)
CppScriptMgr:WaitMilSec(920)
local effect_1 = CppScriptMgr:AddEffect("taoist-huohuan", 215, 130, 33, 1, 1, 1)
Player_1:SetAction(401)
CppScriptMgr:ShakeScrEffect(3)
CppScriptMgr:WaitMilSec(2190)